メインコンテンツへスキップ
PATCH
https://{tenantDomain}/api/v2
/
flows
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Flows.UpdateAsync(
            id: "id",
            request: new UpdateFlowRequestContent()
        );
    }

}
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "actions": [
    {
      "id": "<string>",
      "type": "ACTIVECAMPAIGN",
      "action": "LIST_CONTACTS",
      "params": {
        "connection_id": "<string>",
        "email": "<string>"
      },
      "alias": "<string>",
      "allow_failure": true,
      "mask_output": true
    }
  ],
  "executed_at": "2023-12-25"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

id
string
必須

Flow identifier

Maximum string length: 30

ボディ

name
string
Required string length: 1 - 150
actions
object[] | null

レスポンス

Flow successfully updated.

id
string<flow-id>
必須
Maximum string length: 30
name
string
必須
Required string length: 1 - 150
created_at
string<date-time>
必須
updated_at
string<date-time>
必須
actions
object[]
executed_at
string<date>